<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_eb56828483919e173c6ab" . "772a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1" . "lbnQ="), "_9410d179" . "85408ab6a" . "2962e6fdb" . "621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJ" . "udGFnLnZlcg=="), "_7ee25317f" . "fedb4fe27b" . "f0b5036469" . "b94" => base64_decode("Y29tbW9uLnR5c" . "GUuZm9sZGVy"), "_86e12158655092a9838a837f6" . "cf6d639" => base64_decode("Li4vY29tbW9uL2VybX" . "NfcGtnLnBocA=="), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_5fde92609a43c916046" . "2278aec060406" => base64_decode("Y29tbW9uLnVua25" . "vd24="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_86e12158" . "655092a98" . "38a837f6c" . "f6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_86e12158655092a9838a837f6" . "cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7ee25317ff" . "edb4fe27bf0" . "b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_eb56828483919e173c6ab7" . "72a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9410d17985408ab6a2962e" . "6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5fde92609" . "a43c916046" . "2278aec060" . "406"]);
    }
}